# Declare all datasets to use in DAGs.
# This configuration is to be read by wmf_airflow_common.dataset.DatasetRegistry.
# Each dataset snippet should contain the fields for the corresponding dataset type.
# See wmf_airflow_common.dataset.Dataset.
#
# NOTE: Possibly the following configurations are temporary.
# We intend to gather these dataset properties from DataHub in the future.
# See: https://phabricator.wikimedia.org/T327816


hive_wmf_webrequest_text:
  datastore: hive
  table_name: wmf.webrequest
  partitioning: "@hourly"
  pre_partitions: ["webrequest_source=text"]

hive_event_content_translation_abuse_filter:
  datastore: hive
  table_name: event.contenttranslationabusefilter
  partitioning: "@hourly"

hive_event_mediawiki_cirrussearch_request:
  datastore: hive
  table_name: event.mediawiki_cirrussearch_request
  partitioning: "@hourly"
  pre_partitions: [["datacenter=eqiad", "datacenter=codfw"]]

hive_wmf_mediawiki_history:
  datastore: hive_snapshot
  table_name: wmf.mediawiki_history
  partitioning: "@monthly"

hive_wmf_pageview_actor:
  datastore: hive
  table_name: wmf.pageview_actor
  partitioning: "@hourly"

